> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seam.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an Entrance

> Returns a specified [access system entrance](https://docs.seam.co/low-level-apis/access-systems/retrieving-entrance-details).



## OpenAPI

````yaml /openapi.json post /acs/entrances/get
openapi: 3.0.0
info:
  title: Seam Connect
  version: 1.0.0
servers:
  - url: https://connect.getseam.com
security: []
tags:
  - description: access_codes
    name: /access_codes
  - description: acs
    name: /acs
  - description: action_attempts
    name: /action_attempts
  - description: client_sessions
    name: /client_sessions
  - description: connected_accounts
    name: /connected_accounts
  - description: connect_webviews
    name: /connect_webviews
  - description: devices
    name: /devices
  - description: events
    name: /events
  - description: health
    name: /health
  - description: locks
    name: /locks
  - description: networks
    name: /networks
  - description: noise_sensors
    name: /noise_sensors
  - description: phones
    name: /phones
  - description: thermostats
    name: /thermostats
  - description: user_identities
    name: /user_identities
  - description: webhooks
    name: /webhooks
  - description: workspaces
    name: /workspaces
paths:
  /acs/entrances/get:
    post:
      tags:
        - /acs
      summary: Get an Entrance
      description: >-
        Returns a specified [access system
        entrance](https://docs.seam.co/low-level-apis/access-systems/retrieving-entrance-details).
      operationId: acsEntrancesGetPost
      requestBody:
        content:
          application/json:
            schema:
              properties:
                acs_entrance_id:
                  description: ID of the entrance that you want to get.
                  format: uuid
                  type: string
              required:
                - acs_entrance_id
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  acs_entrance:
                    $ref: '#/components/schemas/acs_entrance'
                  ok:
                    type: boolean
                required:
                  - acs_entrance
                  - ok
                type: object
          description: OK
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
      security:
        - api_key: []
        - pat_with_workspace: []
        - console_session_with_workspace: []
        - client_session_with_customer: []
        - client_session: []
      x-codeSamples:
        - lang: javascript
          label: Seam SDK
          source: |-
            await seam.acs.entrances.get({
              acs_entrance_id: "c931c953-4a5b-4f66-9189-500d39959ad1",
            });

            /*
            {
              "acs_entrance_id": "c931c953-4a5b-4f66-9189-500d39959ad1",
              "acs_system_id": "6a74a969-94ea-4383-b5cf-5e7da8c113d1",
              "connected_account_id": "1b9a3e0d-443f-4063-b619-4ca7e2a97751",
              "created_at": "2025-06-15T16:54:17.946495Z",
              "display_name": "Main Entrance",
              "errors": [],
              "visionline_metadata": {
                "door_category": "guest",
                "door_name": "Main Entrance",
                "profiles": [
                  {
                    "visionline_door_profile_id": "7f8e9d0a-1b2c-3d4e-5f6a-7b8c9d0e1f2a",
                    "visionline_door_profile_type": "BLE"
                  }
                ]
              }
            }
            */
        - lang: bash
          label: cURL
          source: >-
            curl --include --request POST
            "https://connect.getseam.com/acs/entrances/get" \
              --header "Authorization: Bearer $SEAM_API_KEY" \
              --json @- <<EOF
            {
              "acs_entrance_id": "c931c953-4a5b-4f66-9189-500d39959ad1"
            }

            EOF


            # Response:

            # {

            #   "acs_entrance": {

            #     "acs_entrance_id": "c931c953-4a5b-4f66-9189-500d39959ad1",

            #     "acs_system_id": "6a74a969-94ea-4383-b5cf-5e7da8c113d1",

            #     "connected_account_id":
            "1b9a3e0d-443f-4063-b619-4ca7e2a97751",

            #     "created_at": "2025-06-15T16:54:17.946495Z",

            #     "display_name": "Main Entrance",

            #     "errors": [],

            #     "visionline_metadata": {

            #       "door_category": "guest",

            #       "door_name": "Main Entrance",

            #       "profiles": [

            #         {

            #           "visionline_door_profile_id":
            "7f8e9d0a-1b2c-3d4e-5f6a-7b8c9d0e1f2a",

            #           "visionline_door_profile_type": "BLE"

            #         }

            #       ]

            #     }

            #   }

            # }
        - lang: python
          label: Seam SDK
          source: >-
            seam.acs.entrances.get(acs_entrance_id="c931c953-4a5b-4f66-9189-500d39959ad1")


            # AcsEntrance(
                acs_entrance_id="c931c953-4a5b-4f66-9189-500d39959ad1",
                acs_system_id="6a74a969-94ea-4383-b5cf-5e7da8c113d1",
                connected_account_id="1b9a3e0d-443f-4063-b619-4ca7e2a97751",
                created_at="2025-06-15T16:54:17.946495Z",
                display_name="Main Entrance",
                errors=[],
                visionline_metadata={
                    "door_category": "guest",
                    "door_name": "Main Entrance",
                    "profiles": [
                        {
                            "visionline_door_profile_id": "7f8e9d0a-1b2c-3d4e-5f6a-7b8c9d0e1f2a",
                            "visionline_door_profile_type": "BLE",
                        }
                    ],
                },
            )
        - lang: ruby
          label: Seam SDK
          source: >-
            seam.acs.entrances.get(acs_entrance_id:
            "c931c953-4a5b-4f66-9189-500d39959ad1")


            # => {
              "acs_entrance_id" => "c931c953-4a5b-4f66-9189-500d39959ad1",
              "acs_system_id" => "6a74a969-94ea-4383-b5cf-5e7da8c113d1",
              "connected_account_id" => "1b9a3e0d-443f-4063-b619-4ca7e2a97751",
              "created_at" => "2025-06-15T16:54:17.946495Z",
              "display_name" => "Main Entrance",
              "errors" => [],
              "visionline_metadata" => {
                door_category: "guest",
                door_name: "Main Entrance",
                profiles: [
                  {
                    visionline_door_profile_id: "7f8e9d0a-1b2c-3d4e-5f6a-7b8c9d0e1f2a",
                    visionline_door_profile_type: "BLE",
                  },
                ],
              },
            }
        - lang: php
          label: Seam SDK
          source: |-
            $seam->acs->entrances->get(
                acs_entrance_id: "c931c953-4a5b-4f66-9189-500d39959ad1",
            );

            // [
                "acs_entrance_id" => "c931c953-4a5b-4f66-9189-500d39959ad1",
                "acs_system_id" => "6a74a969-94ea-4383-b5cf-5e7da8c113d1",
                "connected_account_id" => "1b9a3e0d-443f-4063-b619-4ca7e2a97751",
                "created_at" => "2025-06-15T16:54:17.946495Z",
                "display_name" => "Main Entrance",
                "errors" => [],
                "visionline_metadata" => [
                    "door_category" => "guest",
                    "door_name" => "Main Entrance",
                    "profiles" => [
                        [
                            "visionline_door_profile_id" =>
                                "7f8e9d0a-1b2c-3d4e-5f6a-7b8c9d0e1f2a",
                            "visionline_door_profile_type" => "BLE",
                        ],
                    ],
                ],
            ];
        - lang: bash
          label: Seam CLI
          source: >-
            seam acs entrances get --acs_entrance_id
            "c931c953-4a5b-4f66-9189-500d39959ad1"


            # {

            #   "acs_entrance_id": "c931c953-4a5b-4f66-9189-500d39959ad1",

            #   "acs_system_id": "6a74a969-94ea-4383-b5cf-5e7da8c113d1",

            #   "connected_account_id": "1b9a3e0d-443f-4063-b619-4ca7e2a97751",

            #   "created_at": "2025-06-15T16:54:17.946495Z",

            #   "display_name": "Main Entrance",

            #   "errors": [],

            #   "visionline_metadata": {

            #     "door_category": "guest",

            #     "door_name": "Main Entrance",

            #     "profiles": [

            #       {

            #         "visionline_door_profile_id":
            "7f8e9d0a-1b2c-3d4e-5f6a-7b8c9d0e1f2a",

            #         "visionline_door_profile_type": "BLE"

            #       }

            #     ]

            #   }

            # }
components:
  schemas:
    acs_entrance:
      description: >-
        Represents an
        [entrance](https://docs.seam.co/low-level-apis/access-systems/retrieving-entrance-details)
        within an [access control
        system](https://docs.seam.co/low-level-apis/access-systems).
      properties:
        acs_entrance_id:
          description: >-
            ID of the
            [entrance](https://docs.seam.co/low-level-apis/access-systems/retrieving-entrance-details).
          format: uuid
          type: string
        acs_system_id:
          description: >-
            ID of the [access control
            system](https://docs.seam.co/low-level-apis/access-systems) that
            contains the
            [entrance](https://docs.seam.co/low-level-apis/access-systems/retrieving-entrance-details).
          format: uuid
          type: string
        assa_abloy_vostio_metadata:
          description: >-
            ASSA ABLOY Vostio-specific metadata associated with the
            [entrance](https://docs.seam.co/low-level-apis/access-systems/retrieving-entrance-details).
          properties:
            door_name:
              description: Name of the door in the Vostio access system.
              type: string
            door_number:
              description: Number of the door in the Vostio access system.
              format: float
              type: number
            door_type:
              description: Type of the door in the Vostio access system.
              enum:
                - CommonDoor
                - EntranceDoor
                - GuestDoor
                - Elevator
              type: string
            pms_id:
              description: PMS ID of the door in the Vostio access system.
              type: string
            stand_open:
              description: >-
                Indicates whether keys are allowed to set the door in stand open
                mode in the Vostio access system.
              type: boolean
          required:
            - door_type
            - door_name
          type: object
        avigilon_alta_metadata:
          description: >-
            Avigilon Alta-specific metadata associated with the
            [entrance](https://docs.seam.co/low-level-apis/access-systems/retrieving-entrance-details).
          properties:
            entry_name:
              description: Entry name for an Avigilon Alta system.
              type: string
            entry_relays_total_count:
              description: Total count of entry relays for an Avigilon Alta system.
              format: float
              type: number
            org_name:
              description: Organization name for an Avigilon Alta system.
              type: string
            site_id:
              description: Site ID for an Avigilon Alta system.
              format: float
              type: number
            site_name:
              description: Site name for an Avigilon Alta system.
              type: string
            zone_id:
              description: Zone ID for an Avigilon Alta system.
              format: float
              type: number
            zone_name:
              description: Zone name for an Avigilon Alta system.
              type: string
          required:
            - entry_name
            - org_name
            - zone_id
            - zone_name
            - site_id
            - site_name
            - entry_relays_total_count
          type: object
        brivo_metadata:
          description: >-
            Brivo-specific metadata associated with the
            [entrance](https://docs.seam.co/low-level-apis/access-systems/retrieving-entrance-details).
          properties:
            access_point_id:
              description: ID of the access point in the Brivo access system.
              type: string
            site_id:
              description: ID of the site that the access point belongs to.
              format: float
              type: number
            site_name:
              description: Name of the site that the access point belongs to.
              type: string
          required:
            - access_point_id
            - site_id
            - site_name
          type: object
        can_belong_to_reservation:
          description: >-
            Indicates whether the ACS entrance can belong to a reservation via
            an access_grant.reservation_key.
          type: boolean
        can_unlock_with_card:
          description: >-
            Indicates whether the ACS entrance can be unlocked with card
            credentials.
          type: boolean
        can_unlock_with_cloud_key:
          description: >-
            Indicates whether the ACS entrance can be unlocked with cloud key
            credentials.
          type: boolean
        can_unlock_with_code:
          description: Indicates whether the ACS entrance can be unlocked with pin codes.
          type: boolean
        can_unlock_with_mobile_key:
          description: >-
            Indicates whether the ACS entrance can be unlocked with mobile key
            credentials.
          type: boolean
        connected_account_id:
          description: >-
            ID of the [connected
            account](https://docs.seam.co/low-level-apis/access-systems/retrieving-entrance-details)
            associated with the
            [entrance](https://docs.seam.co/low-level-apis/access-systems/retrieving-entrance-details).
          format: uuid
          type: string
        created_at:
          description: >-
            Date and time at which the
            [entrance](https://docs.seam.co/low-level-apis/access-systems/retrieving-entrance-details)
            was created.
          format: date-time
          type: string
        display_name:
          description: >-
            Display name for the
            [entrance](https://docs.seam.co/low-level-apis/access-systems/retrieving-entrance-details).
          type: string
        dormakaba_ambiance_metadata:
          description: >-
            dormakaba Ambiance-specific metadata associated with the
            [entrance](https://docs.seam.co/low-level-apis/access-systems/retrieving-entrance-details).
          properties:
            access_point_name:
              description: >-
                Name of the access point in the dormakaba Ambiance access
                system.
              type: string
          required:
            - access_point_name
          type: object
        dormakaba_community_metadata:
          description: >-
            dormakaba Community-specific metadata associated with the
            [entrance](https://docs.seam.co/low-level-apis/access-systems/retrieving-entrance-details).
          properties:
            access_point_profile:
              description: >-
                Type of access point profile in the dormakaba Community access
                system.
              type: string
          required:
            - access_point_profile
          type: object
        errors:
          description: >-
            Errors associated with the
            [entrance](https://docs.seam.co/low-level-apis/access-systems/retrieving-entrance-details).
          items:
            properties:
              error_code:
                description: >-
                  Unique identifier of the type of error. Enables quick
                  recognition and categorization of the issue.
                type: string
              message:
                description: >-
                  Detailed description of the error. Provides insights into the
                  issue and potentially how to rectify it.
                type: string
            required:
              - error_code
              - message
            type: object
          type: array
        hotek_metadata:
          description: >-
            Hotek-specific metadata associated with the
            [entrance](https://docs.seam.co/low-level-apis/access-systems/retrieving-entrance-details).
          properties:
            common_area_name:
              description: Display name of the entrance.
              type: string
            common_area_number:
              description: Display name of the entrance.
              type: string
            room_number:
              description: Room number of the entrance.
              type: string
          type: object
        is_locked:
          description: >-
            Indicates whether the
            [entrance](https://docs.seam.co/low-level-apis/access-systems/retrieving-entrance-details)
            is currently locked.
          type: boolean
        latch_metadata:
          description: >-
            Latch-specific metadata associated with the
            [entrance](https://docs.seam.co/low-level-apis/access-systems/retrieving-entrance-details).
          properties:
            accessibility_type:
              description: Accessibility type in the Latch access system.
              type: string
            door_name:
              description: Name of the door in the Latch access system.
              type: string
            door_type:
              description: Type of the door in the Latch access system.
              type: string
            is_connected:
              description: Indicates whether the entrance is connected.
              type: boolean
          required:
            - accessibility_type
            - door_name
            - door_type
            - is_connected
          type: object
        salto_ks_metadata:
          description: >-
            Salto KS-specific metadata associated with the
            [entrance](https://docs.seam.co/low-level-apis/access-systems/retrieving-entrance-details).
          properties:
            battery_level:
              description: Battery level of the door access device.
              type: string
            door_name:
              description: Name of the door in the Salto KS access system.
              type: string
            intrusion_alarm:
              description: Indicates whether an intrusion alarm is active on the door.
              type: boolean
            left_open_alarm:
              description: Indicates whether the door is left open.
              type: boolean
            lock_type:
              description: Type of the lock in the Salto KS access system.
              type: string
            locked_state:
              description: Locked state of the door in the Salto KS access system.
              type: string
            online:
              description: Indicates whether the door access device is online.
              type: boolean
            privacy_mode:
              description: Indicates whether privacy mode is enabled for the lock.
              type: boolean
          required:
            - door_name
            - locked_state
            - lock_type
            - battery_level
          type: object
        salto_space_metadata:
          description: >-
            Salto Space-specific metadata associated with the
            [entrance](https://docs.seam.co/low-level-apis/access-systems/retrieving-entrance-details).
          properties:
            audit_on_keys:
              description: >-
                Indicates whether AuditOnKeys is enabled for the door in the
                Salto Space access system.
              type: boolean
            door_description:
              description: Description of the door in the Salto Space access system.
              type: string
            door_id:
              description: Door ID in the Salto Space access system.
              type: string
            door_name:
              description: Name of the door in the Salto Space access system.
              type: string
            room_description:
              description: Description of the room in the Salto Space access system.
              type: string
            room_name:
              description: Name of the room in the Salto Space access system.
              type: string
          type: object
        space_ids:
          description: IDs of the spaces that the entrance is in.
          items:
            format: uuid
            type: string
          type: array
        visionline_metadata:
          description: >-
            Visionline-specific metadata associated with the
            [entrance](https://docs.seam.co/low-level-apis/access-systems/retrieving-entrance-details).
          properties:
            door_category:
              description: Category of the door in the Visionline access system.
              enum:
                - entrance
                - guest
                - elevator reader
                - common
                - common (PMS)
              type: string
            door_name:
              description: Name of the door in the Visionline access system.
              type: string
            profiles:
              description: Profile for the door in the Visionline access system.
              items:
                properties:
                  visionline_door_profile_id:
                    description: Door profile ID in the Visionline access system.
                    type: string
                  visionline_door_profile_type:
                    description: Door profile type in the Visionline access system.
                    enum:
                      - BLE
                      - commonDoor
                      - touch
                    type: string
                required:
                  - visionline_door_profile_id
                  - visionline_door_profile_type
                type: object
              type: array
          required:
            - door_name
            - door_category
          type: object
        warnings:
          description: >-
            Warnings associated with the
            [entrance](https://docs.seam.co/low-level-apis/access-systems/retrieving-entrance-details).
          items:
            description: >-
              Warning associated with the
              [entrance](https://docs.seam.co/low-level-apis/access-systems/retrieving-entrance-details).
            discriminator:
              propertyName: warning_code
            oneOf:
              - description: >-
                  Indicates that a change in the reported device model has been
                  detected for this Salto KS entrance, which may occur after an
                  IQ hub reset. Access code support may be affected. See
                  https://help.getseam.com/articles/5098842588-salto-ks-lock-loses-access-code-support
                  for troubleshooting steps.
                properties:
                  created_at:
                    description: Date and time at which Seam created the warning.
                    format: date-time
                    type: string
                  message:
                    description: >-
                      Detailed description of the warning. Provides insights
                      into the issue and potentially how to rectify it.
                    type: string
                  warning_code:
                    description: >-
                      Unique identifier of the type of warning. Enables quick
                      recognition and categorization of the issue.
                    enum:
                      - salto_ks_entrance_access_code_support_removed
                    type: string
                required:
                  - created_at
                  - message
                  - warning_code
                type: object
              - description: >-
                  Indicates that this entrance shares a zone with other
                  entrances in Avigilon Alta and cannot be added to an access
                  group individually.
                properties:
                  created_at:
                    description: Date and time at which Seam created the warning.
                    format: date-time
                    type: string
                  message:
                    description: >-
                      Detailed description of the warning. Provides insights
                      into the issue and potentially how to rectify it.
                    type: string
                  warning_code:
                    description: >-
                      Unique identifier of the type of warning. Enables quick
                      recognition and categorization of the issue.
                    enum:
                      - entrance_shares_zone
                    type: string
                required:
                  - created_at
                  - message
                  - warning_code
                type: object
              - description: >-
                  Indicates that this entrance requires additional configuration
                  in the access control system before Seam can fully manage it.
                properties:
                  created_at:
                    description: Date and time at which Seam created the warning.
                    format: date-time
                    type: string
                  message:
                    description: >-
                      Detailed description of the warning. Provides insights
                      into the issue and potentially how to rectify it.
                    type: string
                  warning_code:
                    description: >-
                      Unique identifier of the type of warning. Enables quick
                      recognition and categorization of the issue.
                    enum:
                      - entrance_setup_required
                    type: string
                required:
                  - created_at
                  - message
                  - warning_code
                type: object
              - description: >-
                  Indicates that this entrance is in privacy mode. When privacy
                  mode is enabled, access codes, mobile keys, and remote unlocks
                  will not work unless the user has admin access.
                properties:
                  created_at:
                    description: Date and time at which Seam created the warning.
                    format: date-time
                    type: string
                  message:
                    description: >-
                      Detailed description of the warning. Provides insights
                      into the issue and potentially how to rectify it.
                    type: string
                  warning_code:
                    description: >-
                      Unique identifier of the type of warning. Enables quick
                      recognition and categorization of the issue.
                    enum:
                      - salto_ks_privacy_mode
                    type: string
                required:
                  - created_at
                  - message
                  - warning_code
                type: object
          type: array
      required:
        - acs_system_id
        - acs_entrance_id
        - space_ids
        - created_at
        - display_name
        - connected_account_id
        - errors
        - warnings
      type: object
      x-route-path: /acs/entrances
  securitySchemes:
    api_key:
      bearerFormat: API Key
      scheme: bearer
      type: http
    pat_with_workspace:
      bearerFormat: API Token
      scheme: bearer
      type: http
    console_session_with_workspace:
      bearerFormat: Console Session Token
      scheme: bearer
      type: http
    client_session_with_customer:
      bearerFormat: Customer Client Session Token
      scheme: bearer
      type: http
    client_session:
      bearerFormat: Client Session Token
      scheme: bearer
      type: http

````